Qt 5.6 | Qt Multimedia | C++ Classes | QMediaAvailabilityControl

Qt 5.6.2 Reference Documentation

# QMediaAvailabilityControl Class

The QMediaAvailabilityControl class supplies a control for reporting availability of a service. More...

Header: | #include <QMediaAvailabilityControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

| ~QMediaAvailabilityControl()
virtual QMultimedia::AvailabilityStatus | availability() const = 0

- 31 public functions inherited from QObject

## Signals

void | availabilityChanged(QMultimedia::AvailabilityStatus availability)

- 2 signals inherited from QObject

## Protected Functions

| QMediaAvailabilityControl(QObject *parent = Q_NULLPTR)

- 9 protected functions inherited from QObject

## Macros

| QMediaAvailabilityControl_iid

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 public variable inherited from QObject
- 10 static public members inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QMediaAvailabilityControl class supplies a control for reporting availability of a service.

An instance of QMediaObject (or its derived classes) can report any changes in availability via this control.

The interface name of QMediaAvailabilityControl is `org.qt-project.qt.mediaavailabilitycontrol/5.0` as defined in QMediaAvailabilityControl_iid.

See also QMediaService::requestControl() and QMediaObject.

## Member Function Documentation

### `[protected]` QMediaAvailabilityControl::QMediaAvailabilityControl(QObject *parent = Q_NULLPTR)

Constructs an availability control object with parent.

### QMediaAvailabilityControl::~QMediaAvailabilityControl()

Destruct the availability control object.

### `[pure virtual]` QMultimedia::AvailabilityStatus QMediaAvailabilityControl::availability() const

Returns the current availability of this instance of the media service. If the availability changes at run time (for example, some other media client takes all media resources) the availabilityChanges() signal should be emitted.

### `[signal]` void QMediaAvailabilityControl::availabilityChanged(QMultimedia::AvailabilityStatus availability)

Signal emitted when the current availability value changed.

## Macro Documentation

### QMediaAvailabilityControl_iid

`org.qt-project.qt.mediaavailabilitycontrol/5.0`

Defines the interface name of the QMediaAvailabilityControl class.